| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfCNIM Struct Reference
Endpoint Profile Features

CSTA Network Interface Device (NID) Service and CSTA Name Provider. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
xsd__boolean * | NameProvider
| Used to activate / deactivate CSTA services that enable applications to associate a calling device name with the off- net calling device. More...
enum unsp__NIDCallControlOption * | NIDCallControlOption
| NIDCallControlOption enumeration. More...
unsp__ServiceId | TargetDestination
| Target destination if enum option is Redirect. More...

## Detailed Description

CSTA Network Interface Device (NID) Service and CSTA Name Provider.

CNIM enables the support CSTA on OSV Network Interface Devices (NID). CNIM supports a subset of services and events that can be used by CSTA-enabled adjunct application to detect the presence of an inbound and outbound off-network call; lookup a name string based on the calling/called device number and associate the calling/called device name within the OSV call context via CSTA service.
MP2 command: CFCNIM [Attributes] (Endpoint Profile)

## Member Data Documentation

## ◆ NameProvider

xsd__boolean* unsp__CfCNIM::NameProvider

Used to activate / deactivate CSTA services that enable applications to associate a calling device name with the off- net calling device.

required: false
default value[range]: false

## ◆ NIDCallControlOption

enum unsp__NIDCallControlOption* unsp__CfCNIM::NIDCallControlOption

NIDCallControlOption enumeration.

## ◆ Subscribed

enum unsp__Subscribed unsp__CfCNIM::Subscribed

Standard Subscribed enumeration.

## ◆ TargetDestination

unsp__ServiceId unsp__CfCNIM::TargetDestination

Target destination if enum option is Redirect.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h